package compbio.controllers;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
public class MainController extends BasicController {

	@RequestMapping(value = "/index", method = RequestMethod.GET)
	public String printPublicHome(ModelMap model) {
		model.addAttribute("username", getPrincipalName());
		if (isUserRole()) return "home";
		return "public";
	}

	@RequestMapping(value = "/login", method = RequestMethod.GET)
	public String login(ModelMap model) {
		return "login";
	}

	@RequestMapping(value = "/loginfailed", method = RequestMethod.GET)
	public String loginerror(ModelMap model) {
		model.addAttribute("error", "Wrong user name or password");
		return "login";
	}

	@RequestMapping(value = "/logout", method = RequestMethod.GET)
	public String logout(ModelMap model) {
		return "public";
	}

	@RequestMapping(value = "/denied", method = RequestMethod.GET)
	public String denied(ModelMap model) {
		model.put("username", getPrincipalName());
		return "support/Denied";
	}

	@RequestMapping(value = "/home", method = RequestMethod.GET)
	public String printHome(ModelMap model ) {
		model.addAttribute("username", getPrincipalName());
		return "home";
	}

}
